Interview
Get all saved interviews
This endpoint fetches all interviews that have been previously created and saved, such as interviews for specific roles like Full Stack Engineer or LLM Engineer.
GET
/
interviews
Get all saved interviews
curl --request GET \
--url https://public.api.micro1.ai/interviews \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/interviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.micro1.ai/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public.api.micro1.ai/interviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public.api.micro1.ai/interviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.micro1.ai/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "true",
"message": "Interviews fetched successfully",
"data": [
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"interview_name": "Full Stack Engineer Interview",
"invite_url": "https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000",
"skills": [
{
"name": "React",
"description": "Must be proficient in React Context API"
}
],
"custom_questions": [
{
"question": "Where do you see yourself in 5 years?",
"time": 120,
"type": "audio"
}
],
"interview_language": "English",
"can_change_interview_language": false,
"only_coding_round": true,
"is_coding_round_required": true,
"selected_coding_language": "Python",
"is_proctoring_required": true,
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00",
"status": "active"
}
]
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Query Parameters
⌘I
Get all saved interviews
curl --request GET \
--url https://public.api.micro1.ai/interviews \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/interviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.micro1.ai/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public.api.micro1.ai/interviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public.api.micro1.ai/interviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.micro1.ai/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "true",
"message": "Interviews fetched successfully",
"data": [
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"interview_name": "Full Stack Engineer Interview",
"invite_url": "https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000",
"skills": [
{
"name": "React",
"description": "Must be proficient in React Context API"
}
],
"custom_questions": [
{
"question": "Where do you see yourself in 5 years?",
"time": 120,
"type": "audio"
}
],
"interview_language": "English",
"can_change_interview_language": false,
"only_coding_round": true,
"is_coding_round_required": true,
"selected_coding_language": "Python",
"is_proctoring_required": true,
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00",
"status": "active"
}
]
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}